QGIS Application - Feature request #3797
Specify joint style for Simple Markers
2011-05-04 01:12 AM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 13855
Description

Simple symbols for point layers have bevelled joints. Why would anyone want bevelled joints? :)

Ideally it would be possible to specify the joint style.

N.B. Because the border thickness cannot be specified (#3458) this means that when a composer layout is exported to svg, small square

symbols turn into octagons!

N.B. in printouts the bevel is not visible (at least on Windows) because all borders are printed as a very thin black line (see #3778).

I'm marking this as minor and an enhancement, because that's what it is. The real problems are caused by the other two bugs :)

Associated revisions

Revision 6ad35374 - 2016-04-03 04:57 AM - Mathieu Pellerin - nIRV

[FEATURE] add outline join style settings to simple markers
(fixes #3797)

Revision ae9d0891 - 2016-04-03 08:21 AM - Nyall Dawson

Merge pull request #2964 from nirvn/simple_marker_join_style

[FEATURE] add outline join style settings to simple markers (fixes #3797)

History

#1 - 2011-12-16 12:45 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:33 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2014-12-23 08:04 PM - Mathieu Pellerin - nIRV
- OS version deleted (XP)

- Operating System deleted (Windows)

- Assignee deleted (nobody -)

- File marker-join-style.png added

- Priority changed from Low to Normal
- Pull Request or Patch supplied set to No
- Status info deleted (0)

In recent versions, QGIS has gotten real good at offering the user to modify the join style throughout symbology and composer items. Yet, the simple

marker hasn't (yet) been given that specific attention.

Could we try and fulfill this basic feature request by 2.8? I'm attaching a simple symbology case that clearly shows why bevel joins aren't good for all

scenarios.

Glad I'm not the first one to ask this. :)

#5 - 2016-04-02 11:24 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"ae9d089142b3d348d200c9f7{7f960c5bc180b56".

Files
bevel.png 29 KB 2011-05-03 Alister Hood
marker-join-style.png 6.73 KB 2014-12-23 Mathieu Pellerin - nIRV
